org.modeshape.jcr.query

## Class QueryEngineBuilder

- java.lang.Object
- - org.modeshape.jcr.query.QueryEngineBuilder

- Direct Known Subclasses:
    ScanningQueryEngine.Builder

      public abstract class QueryEngineBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryEngineBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract QueryEngine` | `build()`
    `protected RepositoryConfiguration` | `config()`
    `protected ExecutionContext` | `context()`
    `protected Optimizer` | `defaultOptimizer()`
    `protected Planner` | `defaultPlanner()`
    `protected IndexManager` | `indexManager()`
    `protected Optimizer` | `optimizer()`
    `protected Planner` | `planner()`
    `protected String` | `repositoryName()`
    `QueryEngineBuilder` | `using(RepositoryConfiguration configuration, IndexManager indexManager, ExecutionContext context)`
    `QueryEngineBuilder` | `with(Optimizer optimizer)`
    `QueryEngineBuilder` | `with(Planner planner)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryEngineBuilder

          public QueryEngineBuilder()

  - ### Method Detail

    - #### using

          public QueryEngineBuilder using(RepositoryConfiguration configuration,
                                 IndexManager indexManager,
                                 ExecutionContext context)

    - #### with

          public QueryEngineBuilder with(Planner planner)

    - #### with

          public QueryEngineBuilder with(Optimizer optimizer)

    - #### build

          public abstract QueryEngine build()

    - #### config

          protected final RepositoryConfiguration config()

    - #### context

          protected final ExecutionContext context()

    - #### indexManager

          protected final IndexManager indexManager()

    - #### repositoryName

          protected String repositoryName()

    - #### planner

          protected final Planner planner()

    - #### optimizer

          protected final Optimizer optimizer()

    - #### defaultPlanner

          protected Planner defaultPlanner()

    - #### defaultOptimizer

          protected Optimizer defaultOptimizer()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.